SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001204: openvpn: needs upgrade to 2.1_rc11 - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001204Endian FirewallSecuritypublic2008-08-05 10:582009-10-27 12:00
Reporterpeter-endian 
Assigned Topeter-endian 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc2 
Target Version2.3Fixed in Version2.3 
Summary0001204: openvpn: needs upgrade to 2.1_rc11
Descriptionneeds upgrade to 2.1_rc11
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001508)
peter-endian (administrator)
2008-08-06 13:47

Thanks to Thomas Wouters for the upgraded SRPM
(0001527)
peter-endian (administrator)
2008-08-20 10:53

openvpn configuration file needs to be changed:

script-security 3

need to be added in configuration templates of efw-vpn and efw-vpnclient
(0001592)
peter-endian (administrator)
2008-09-10 09:32

upgrade to 2.1_rc10, that should fix the execv() issues on spawning a script.
adding script-security is still needed!
(0001624)
peter-endian (administrator)
2008-09-16 09:52

This release fixes a serious (though not security-related) bug in the
SSL/TLS negotiation over UDP that can cause SSL/TLS handshake failures.
  The bug was introduced in 2.1_rc9.

All users of OpenVPN 2.1_rc9 and rc10 are urged to upgrade.
(0001685)
johnwang (reporter)
2008-10-10 21:49
edited on: 2008-10-10 22:00

Is there any instruction on how to update the OpenVPN to 2.1rc11 or even rc13? The Endian 2.2rc3 firewall is still using OpenVPN 2.1rc7. There seem to be some bugs fixed from rc7 to rc10 or newer. I really want to upgrade it.

Thank you.

(0001693)
peter-endian (administrator)
2008-10-13 09:59

As long as they (openvpn team) continue to release rc versions i would not upgrade. From rc7 to rc8 they changed behaviour which needs us to change the configuration template. I would wait until it gets stable enough, then we will change those configuration parameters.

- Issue History
Date Modified Username Field Change
2008-08-05 10:58 peter-endian New Issue
2008-08-06 13:47 peter-endian Status new => resolved
2008-08-06 13:47 peter-endian Fixed in Version => 2.2-rc3
2008-08-06 13:47 peter-endian Resolution open => fixed
2008-08-06 13:47 peter-endian Assigned To => peter-endian
2008-08-06 13:47 peter-endian Note Added: 0001508
2008-08-20 10:53 peter-endian Note Added: 0001527
2008-08-20 10:53 peter-endian Status resolved => assigned
2008-08-25 14:42 peter-endian Target Version 2.2-rc3 => 2.3
2008-09-10 09:32 peter-endian Note Added: 0001592
2008-09-10 16:20 chris-endian Summary openvpn: needs upgrade to 2.1_rc9 => openvpn: needs upgrade to 2.1_rc10
2008-09-10 16:20 chris-endian Description Updated
2008-09-16 09:52 peter-endian Summary openvpn: needs upgrade to 2.1_rc10 => openvpn: needs upgrade to 2.1_rc11
2008-09-16 09:52 peter-endian Description Updated
2008-09-16 09:52 peter-endian Note Added: 0001624
2008-10-10 21:49 johnwang Note Added: 0001685
2008-10-10 21:49 johnwang Note Added: 0001686
2008-10-10 21:49 johnwang Status assigned => feedback
2008-10-10 21:52 johnwang Note Deleted: 0001686
2008-10-10 22:00 johnwang Note Edited: 0001685
2008-10-13 09:59 peter-endian Note Added: 0001693
2009-05-27 09:26 peter-endian Status feedback => resolved
2009-05-27 09:26 peter-endian Fixed in Version 2.2-rc3 => 2.3
2009-10-27 12:00 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker